libnet-twitter-lite-perl_0.12006-1_all.deb


Advertisement

Description

libnet-twitter-lite-perl - interface to the Twitter API

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libnet-twitter-lite-perl
Package version: 0.12006
Package release: 1
Package architecture: all
Package type: deb
Installed size: 349 B
Download size: 68.45 KB
Official Mirror: ftp.br.debian.org
Net::Twitter::Lite is a lightweight Perl implementation of the Twitter API. It uses the same definitions as Net::Twitter (see libnet-twitter-perl), but without the extra bells and whistles. Same great taste, less filling. This module is related to, but is not part of, Net::Twitter. Its API methods and documentation are derived from Net::Twitter's internals. It exists for those who cannot, or prefer not to install Moose and its dependencies. If you need additional functionality, finer-grained control over features, backwards compatibility with older versions and additional error handling options, you should using Net::Twitter instead.

Alternatives

    Download

    Source package: libnet-twitter-lite-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libnet-twitter-lite-perl deb package:
      # sudo apt-get install libnet-twitter-lite-perl

    Files

    • /usr/share/doc/libnet-twitter-lite-perl/NEWS.Debian.gz
    • /usr/share/doc/libnet-twitter-lite-perl/changelog.Debian.gz
    • /usr/share/doc/libnet-twitter-lite-perl/changelog.gz
    • /usr/share/doc/libnet-twitter-lite-perl/copyright
    • /usr/share/doc/libnet-twitter-lite-perl/examples/oauth_desktop.pl
    • /usr/share/doc/libnet-twitter-lite-perl/examples/oauth_webapp.pl
    • /usr/share/man/man3/Net::Twitter::Lite.3pm.gz
    • /usr/share/man/man3/Net::Twitter::Lite::API::V1.3pm.gz
    • /usr/share/man/man3/Net::Twitter::Lite::API::V1_1.3pm.gz
    • /usr/share/man/man3/Net::Twitter::Lite::Error.3pm.gz
    • /usr/share/man/man3/Net::Twitter::Lite::WithAPIv1_1.3pm.gz
    • /usr/share/man/man3/Net::Twitter::Lite::WrapResult.3pm.gz
    • /usr/share/perl5/Net/Twitter/Lite.pm
    • /usr/share/perl5/Net/Twitter/Lite.pod
    • /usr/share/perl5/Net/Twitter/Lite/Error.pm
    • /usr/share/perl5/Net/Twitter/Lite/WithAPIv1_1.pm
    • /usr/share/perl5/Net/Twitter/Lite/WithAPIv1_1.pod
    • /usr/share/perl5/Net/Twitter/Lite/WrapResult.pm
    • /usr/share/perl5/Net/Twitter/Lite/API/V1.pm
    • /usr/share/perl5/Net/Twitter/Lite/API/V1_1.pm

    Changelog

    2014-02-23 - gregor herrmann <gregoa@debian.org> libnet-twitter-lite-perl (0.12006-1) unstable; urgency=medium * New upstream release. * Add copyright notice for new file.

    2014-01-20 - gregor herrmann <gregoa@debian.org> libnet-twitter-lite-perl (0.12005-1) unstable; urgency=medium * New upstream release. * Update years of copyright. * Remove versions from (build) dependencies that are already satisfied in oldstable. * Declare compliance with Debian Policy 3.9.5.

    2013-09-08 - Dominic Hargreaves <dom@earth.li> libnet-twitter-lite-perl (0.12004-1) unstable; urgency=low * New upstream release * Update Standards-Version (no changes)

    2013-04-16 - Dominic Hargreaves <dom@earth.li> libnet-twitter-lite-perl (0.12002-3) unstable; urgency=low * Add missing libmodule-build-perl build-dependency

    2013-03-24 - Dominic Hargreaves <dom@earth.li> libnet-twitter-lite-perl (0.12002-2) unstable; urgency=low * Upload to unstable * Add NEWS item about Twitter API change

    2013-03-17 - Dominic Hargreaves <dom@earth.li> libnet-twitter-lite-perl (0.12002-1) experimental; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Alessandro Ghedini ] * Remove myself from Uploaders [ Dominic Hargreaves ] * New upstream release. Closes: #702523 * Add myself to Uploaders * Update dependencies * Refresh copyright * Fix Lintian warning about executable scripts (POD file)

    2012-06-29 - gregor herrmann <gregoa@debian.org> libnet-twitter-lite-perl (0.11002-1) unstable; urgency=low * New upstream release. Closes: #679308

    2012-05-26 - gregor herrmann <gregoa@debian.org> libnet-twitter-lite-perl (0.11001-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Alessandro Ghedini ] * Email change: Alessandro Ghedini -> ghedo@debian.org [ gregor herrmann ] * New upstream release. * Update copyright years for inc/Module/* and debian/*. * debian/copyright: update to Copyright-Format 1.0. * Bump Standards-Version to 3.9.3 (no changes). * Update build and runtime dependencies.

    2011-04-03 - Alessandro Ghedini <al3xbio@gmail.com> libnet-twitter-lite-perl (0.10004-1) unstable; urgency=low * New upstream release * Bump debhelper compat level to 8 * Add myself to Uploaders * One dep per line * Depends on libcrypt-ssleay-perl and libnet-oauth-perl (remove Recommends and Suggests)

    2011-02-16 - gregor herrmann <gregoa@debian.org> libnet-twitter-lite-perl (0.10003-3) unstable; urgency=low * debian/rules: don't run the POD tests anymore, apparently they are still fragile. Remove respective build dependencies.

    Advertisement
    Advertisement